---
updatedAt: 2026-07-28T08:54:34.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Connecting to AMQP

Accessing your AMQP service

# Connection details

You can obtain connection details by calling endpoint below:<br />[https://api.easee.com/api/streams/amqp/v2](https://api.beta.easee.cloud/api/streams/amqp/v2)

This will provide the details you need to connect via AMQP. Please note that only classic queue is supported currently.

This will only work if you call it with a Bearer token based on your integration account. Here is an example request and response to the AMQP v2 streams endpoint.

If a normal Easee account is used (Not an integrated partner account), it will fail a check that looks to use an integration account.

Request

```json Plain text
GET https://api.easee.com/api/streams/amqp/v2
Authorization: Bearer amQpsErverCredsAuthB..
```

Use an appropriate Bearer token authorized using your integration credentials

Response

```json Plain text
{
  "server": "<amqp-uri>.amazonaws.com",
  "port": 5671,
  "useSsl": true,
  "virtualHost": "/",
  "queueName": "Operator_<id>.Q",
  "exchangeName": "Operator_<id>.C.X",
  "username": "<user>",
  "password": "<pass>"
}
```

# Testing

Once connected, your consumer application subscribed to the AMQP service will see observations from the charger.

All observations include a custom header `ArrivalTime` which can be used for monitoring latency. The ArrivalTime is a timestamp pointing to the time the message arrived in the cloud from the device.

## List of available observations

| ObservationId | Name                                                                                        | Description                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| 21            | DetectedPowerGridType                                                                       | Detected power grid type according to PowerGridType table \[boot] \[Integer]                     |
| 22            | CircuitMaxCurrentP1                                                                         | Set circuit maximum current \[Amperes] \[Double]                                                 |
| 23            | CircuitMaxCurrentP2                                                                         | Set circuit maximum current \[Amperes] \[Double]                                                 |
| 24            | CircuitMaxCurrentP3                                                                         | Set circuit maximum current \[Amperes] \[Double]                                                 |
| 30            | LockCablePermanently                                                                        | Lock type2 cable permanently \[Boolean]                                                          |
| 31            | IsEnabled                                                                                   | Set true to enable charger, false disables charger \[Boolean]                                    |
| 44            | SmartButtonEnabled                                                                          | Smart button is enabled \[Boolean]                                                               |
| 46            | LEDMode                                                                                     | Charger LED mode \[event] \[Integer]                                                             |
| 47            | MaxChargerCurrent                                                                           | Max current this charger is allowed to offer to car (A). Non volatile. \[Double]                 |
| 48            | DynamicChargerCurrent                                                                       | Max current this charger is allowed to offer to car (A). Volatile \[Double]                      |
| 50            | MaxCurrentOfflineFallback\_P1                                                               | Maximum circuit current P1 when offline \[event] \[Integer]                                      |
| 51            | MaxCurrentOfflineFallback\_P2                                                               | Maximum circuit current P2 when offline \[event] \[Integer]                                      |
| 52            | MaxCurrentOfflineFallback\_P3                                                               | Maximum circuit current P3 when offline \[event] \[Integer]                                      |
| 60            | Charging Session Signed                                                                     | Charging sessions signed \[json]\[String]                                                        |
| 61            | OCMFChargingSessionSigned                                                                   | OCMF Charging session data with a digital signature generated by the metering controller \[ocmf] |
| 63            | SignedSessionPublicKey                                                                      | Public Key that can be used to validate signed sessions \[String]                                |
| 80            | SoftwareRelease                                                                             | Embedded software package release id \[boot] \[Integer]                                          |
| 89            | [RebootReason](https://developer.easee.cloud/docs/enumerations#rebootreason-89)             | Reason of reboot. Bitmask of flags. \[Integer]                                                   |
| 96            | [ReasonForNoCurrent](https://developer.easee.cloud/docs/enumerations#reasonfornocurrent-96) | Enum describing why a charger with a car connected is not offering current to the car \[Integer] |
| 102           | SmartCharging                                                                               | Smart charging state enabled by capacitive touch button \[event] \[Boolean]                      |
| 103           | CableLocked                                                                                 | Cable lock state \[event] \[Boolean]                                                             |
| 104           | CableRating                                                                                 | Cable rating read \[event] \[Integer]                                                            |
| 108           | UserIDTokenReversed                                                                         | User ID token string from RFID reading \[event]\(NB! Must reverse these strings) \[String]       |
| 109           | [ChargerOpMode](https://developer.easee.com/docs/enumerations#op-mode-109)                  | Charger operation mode()according to charger mode table \[event] \[Integer]                      |
| 110           | OutputPhase                                                                                 | Active output phase(s) to EV according to output phase type table. \[event] \[Integer]           |
| 111           | DynamicCircuitCurrentP1                                                                     | Dynamically set circuit maximum current for phase 1 \[event] \[Double]                           |
| 112           | DynamicCircuitCurrentP2                                                                     | Dynamically set circuit maximum current for phase 2 \[event] \[Double]                           |
| 113           | DynamicCircuitCurrentP3                                                                     | Dynamically set circuit maximum current for phase 3 \[event] \[Double]                           |
| 120           | TotalPower                                                                                  | Total power \[telemetry] \[Double]                                                               |
| 121           | SessionEnergy                                                                               | Session accumulated energy \[telemetry] \[Double]                                                |
| 122           | EnergyPerHour                                                                               | Accumulated energy per hour \[event] \[Double]                                                   |
| 124           | LifetimeEnergy                                                                              | Accumulated energy in the lifetime of the charger \[kWh] \[Double]                               |
| 128           | UserIDToken                                                                                 | User ID token string from RFID reading \[event] \[String]                                        |
| 129           | ChargingSession                                                                             | Charging sessions \[json]\[String]                                                               |
| 130           | CellRSSI                                                                                    | Cellular signal strength \[telemetry] \[Integer]                                                 |
| 132           | WiFiRSSI                                                                                    | WiFi signal strength \[telemetry] \[Integer]                                                     |
| 141           | ChargerRAT                                                                                  | Radio access technology in use: 0 = cellular, 1 = wifi \[Integer]                                |
| 146           | LocalNodeType                                                                               | 0-Unconfigured, 1-Master, 2-Extender, 3-End device \[Integer]                                    |
| 150           | TempMax                                                                                     | Maximum temperature for all sensors \[telemetry] \[Integer]                                      |
| 182           | InCurrent\_T2                                                                               | Calculated current RMS for input T2 \[telemetry] \[Double]                                       |
| 183           | InCurrent\_T3                                                                               | Current RMS for input T3 \[telemetry] \[Double]                                                  |
| 184           | InCurrent\_T4                                                                               | Current RMS for input T4 \[telemetry] \[Double]                                                  |
| 185           | InCurrent\_T5                                                                               | Current RMS for input T5 \[telemetry] \[Double]                                                  |
| 190           | InVolt\_T1\_T2                                                                              | Input voltage RMS between T1 and T2 \[telemetry] \[Double]                                       |
| 191           | InVolt\_T1\_T3                                                                              | Input voltage RMS between T1 and T3 \[telemetry] \[Double]                                       |
| 192           | InVolt\_T1\_T4                                                                              | Input voltage RMS between T1 and T4 \[telemetry] \[Double]                                       |
| 193           | InVolt\_T1\_T5                                                                              | Input voltage RMS between T1 and T5 \[telemetry] \[Double]                                       |
| 194           | InVolt\_T2\_T3                                                                              | Input voltage RMS between T2 and T3 \[telemetry] \[Double]                                       |
| 195           | InVolt\_T2\_T4                                                                              | Input voltage RMS between T2 and T4 \[telemetry] \[Double]                                       |
| 196           | InVolt\_T2\_T5                                                                              | Input voltage RMS between T2 and T5 \[telemetry] \[Double]                                       |
| 223           | ChargingSessionStart                                                                        | Charging session data \[json]\[String]                                                           |
| 250           | ConnectedToCloud                                                                            | Device is connected to AWS \[Boolean]                                                            |
| 251           | CloudDisconnectReason                                                                       | AWS DisconnectReason \[String]                                                                   |

<br />